package com.pcloud.book.timecontrol.biz;


import com.pcloud.book.timecontrol.entity.TimeControlTaskSubscribe;

/**
 * @date: 2020年01月31日 20:11
 * @Author: Zcy
 * @Descprition
 */
public interface TaskSubscribeBiz {

    /**
     * 订阅任务
     */
    void subscribeTask(String wxUserId, Long bookId, Integer taskId, String robotWxId);

    /**
     * 取消订阅任务
     */
    void unSubscribeTask(String wxUserId, Long bookId, Integer taskId);

    /**
     * 获取今日需要发送任务列表
     */
    void listTodayTask();

    /**
     * 定时发送任务消息
     */
    void sendTimeTaskMessage();

    TimeControlTaskSubscribe getSubscribeState(String wxUserId, Integer taskId);
}
